com.microfocus.awm.meta.interfaces

## Interface FunctionPackageIcon

- All Superinterfaces:
    AWMIdentifiableObject, AWMObject, org.eclipse.emf.ecore.EObject, Icon, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    FunctionPackageIconImpl

      public interface FunctionPackageIcon
      extends Icon

  Icons can be used to assign symbols to elements and actions.

  The following features are supported:

  - `Function Package Icon ID`
  - `Icon Name`
  See Also:
    `TaurusPackage.getFunctionPackageIcon()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.URL` | `getDisabledImageURL()` Gets the disabled icon image URL.
    `java.lang.String` | `getFunctionPackageIconID()` Returns the value of the 'Function Package Icon ID' attribute.
    `IconExtension` | `getIconExtension()` Gets the `IconExtension`.
    `java.lang.String` | `getIconName()` Returns the value of the 'Icon Name' attribute.
    `java.net.URL` | `getImageURL()` Gets the icon image URL.
    `void` | `setFunctionPackageIconID(java.lang.String value)` Sets the value of the '`Function Package Icon ID`' attribute.
    `void` | `setIconName(java.lang.String value)` Sets the value of the '`Icon Name`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getFunctionPackageIconID

          java.lang.String getFunctionPackageIconID()

      Returns the value of the 'Function Package Icon ID' attribute.
      The unique ID of the icon.
      Returns:
        the value of the 'Function Package Icon ID' attribute.
      See Also:
        `setFunctionPackageIconID(String)`, `TaurusPackage.getFunctionPackageIcon_FunctionPackageIconID()`

    - #### setFunctionPackageIconID

          void setFunctionPackageIconID(java.lang.String value)

      Sets the value of the '`Function Package Icon ID`' attribute.
      Parameters:
        `value` - the new value of the 'Function Package Icon ID' attribute.
      See Also:
        `getFunctionPackageIconID()`

    - #### getIconName

          java.lang.String getIconName()

      Returns the value of the 'Icon Name' attribute.
      The name of the icon.
      Returns:
        the value of the 'Icon Name' attribute.
      See Also:
        `setIconName(String)`, `TaurusPackage.getFunctionPackageIcon_IconName()`

    - #### setIconName

          void setIconName(java.lang.String value)

      Sets the value of the '`Icon Name`' attribute.
      Parameters:
        `value` - the new value of the 'Icon Name' attribute.
      See Also:
        `getIconName()`

    - #### getIconExtension

          IconExtension getIconExtension()

      Gets the `IconExtension`.
      Returns:
        the icon extension

    - #### getImageURL

          java.net.URL getImageURL()

      Gets the icon image URL.
      Returns:
        the icon image URL

    - #### getDisabledImageURL

          java.net.URL getDisabledImageURL()

      Gets the disabled icon image URL.
      Returns:
        the disabled icon image URL

Copyright © 2015 Micro Focus GmbH. All rights reserved.